import { JavaObject } from '../../../java/lang/JavaObject';
export declare class GostFachwahl extends JavaObject {
    id: number;
    fachID: number;
    halbjahrID: number;
    schuelerID: number;
    schuelerNachname: String;
    schuelerVorname: String;
    kursartID: number;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): GostFachwahl;
    static transpilerToJSON(obj: GostFachwahl): string;
    static transpilerToJSONPatch(obj: Partial<GostFachwahl>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_gost_GostFachwahl(obj: unknown): GostFachwahl;
